Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
payment.php File Reference

Go to the source code of this file.

## Functions
| deleteCache ($ProductID, $CategoryID, $CategoryArray, $Hotdeal)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $wwwDir = $ini->WWWDir
| $indexFile = $ini->Index
| $session =& eZSession::globalSession()
| $cart = new eZCart()
| $RequireUserLogin = true
| $Language =& $ini->variable( "eZTradeMain", "Language" )
| $locale = new eZLocale( $Language )
if(! $cart) | $items = $cart->items()
| $ChargeTotal = $session->variable( "TotalCost" )
| $ChargeVATTotal = $session->variable( "TotalVAT" )
| $Comment = $session->variable( "Comment" )
| $PreOrderID = $session->variable( "PreOrderID" )
| $currency = new eZCurrency()
| $checkout = new eZCheckout()
| $instance =& $checkout->instance()
| $paymentMethod = $session->arrayValue( "PaymentMethod" )
if( $paymentMethod==true and $paymentMethod !="voucher_done") | else

## Function Documentation

## ◆ deleteCache()

deleteCache | ( |  | $ProductID,
|  |  | $CategoryID,
|  |  | $CategoryArray,
|  |  | $Hotdeal
| ) |  |

Definition at line 50 of file payment.php.

References $CategoryID, $file, and $files.

## Variable Documentation

## ◆ $cart

$cart = new eZCart()

Definition at line 43 of file payment.php.

## ◆ $ChargeTotal

$ChargeTotal = $session->variable( "TotalCost" )

Definition at line 127 of file payment.php.

## ◆ $ChargeVATTotal

$ChargeVATTotal = $session->variable( "TotalVAT" )

Definition at line 130 of file payment.php.

## ◆ $checkout

$checkout = new eZCheckout()

Definition at line 138 of file payment.php.

## ◆ $Comment

$Comment = $session->variable( "Comment" )

Definition at line 133 of file payment.php.

## ◆ $currency

$currency = new eZCurrency()

Definition at line 137 of file payment.php.

## ◆ $indexFile

$indexFile = $ini->Index

Definition at line 38 of file payment.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 36 of file payment.php.

## ◆ $instance

$instance =& $checkout->instance()

Definition at line 139 of file payment.php.

## ◆ $items

if (! $cart) $items = $cart->items()

Definition at line 124 of file payment.php.

## ◆ $Language

$Language =& $ini->variable( "eZTradeMain", "Language" )

Definition at line 47 of file payment.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 48 of file payment.php.

## ◆ $paymentMethod

$paymentMethod = $session->arrayValue( "PaymentMethod" )

Definition at line 141 of file payment.php.

## ◆ $PreOrderID

$PreOrderID = $session->variable( "PreOrderID" )

Definition at line 135 of file payment.php.

## ◆ $RequireUserLogin

$RequireUserLogin = true

Definition at line 45 of file payment.php.

## ◆ $session

$session =& eZSession::globalSession()

Definition at line 40 of file payment.php.

## ◆ $wwwDir

$wwwDir = $ini->WWWDir

Definition at line 37 of file payment.php.

## ◆ else

if ($paymentMethod==true and $paymentMethod !="voucher_done") else

Initial value:
{
$PaymentSuccess = true
$PaymentSuccess
$PaymentSuccess
Definition: invoice.php:29

Definition at line 151 of file payment.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.